Skip to main content
Posts

Publish a post to one or more social media platforms

POST/v1/posts/

Authorization

accessKey
x-access-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.postpeer.dev/v1/posts/" \  -H "Content-Type: application/json" \  -d '{    "content": "Hello world!",    "platforms": [      {        "platform": "twitter",        "accountId": "<your-account-id>"      }    ],    "publishNow": true  }'
{
  "success": true,
  "status": "draft",
  "scheduledFor": "2019-08-24T14:15:22Z",
  "postId": "string",
  "platforms": [
    {
      "platform": "twitter",
      "success": true,
      "platformPostUrl": "string",
      "error": "string"
    }
  ]
}
{
  "success": true,
  "message": "string"
}
{
  "success": true,
  "message": "string"
}
{
  "success": true,
  "message": "string"
}
{
  "success": true,
  "message": "string"
}